Bug 851106 - Guided Editor: Field Bindings are NOT being shown in Expression Builder
Guided Editor: Field Bindings are NOT being shown in Expression Builder
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Toni Rikkola
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 05:21 EDT by manstis
Modified: 2014-06-16 02:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
expression_builder_expected.png (48.80 KB, image/png)
2012-09-13 09:42 EDT, Jiri Locker
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GUVNOR-1811 Major Resolved Guided Editor: Field Bindings are NOT being shown in Expression Builder 2014-06-16 04:03:39 EDT

  None (edit)
Description manstis 2012-08-23 05:21:33 EDT
Description of problem:

See linked JIRA.

Version-Release number of selected component (if applicable):

See linked JIRA.

How reproducible:

See linked JIRA.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Field bindings are not present in the Expression Builder.

Expected results:

Field bindings should be present in the Expression Builder.

Additional info:
Comment 2 Jiri Locker 2012-09-13 09:42:14 EDT
Created attachment 612457 [details]
expression_builder_expected.png

I couldn't reproduce the issue. Please take a look at this attachment and confirm it proves the expression builder works as expected.
Comment 3 Jiri Locker 2012-10-31 07:56:41 EDT
Although neither of BRMS 5.3.0 and 5.2.0 seems to be affected, the patch commit for GUVNOR-1811 is included in the BRMS 5.3.1 code base and Expression Builder works as expected.
Comment 7 Toni Rikkola 2014-06-16 02:03:43 EDT
(In reply to Jiri Locker from comment #2)
> Created attachment 612457 [details]
> expression_builder_expected.png
> 
> I couldn't reproduce the issue. Please take a look at this attachment and
> confirm it proves the expression builder works as expected.

It works. The fields ($d, $v) and pattern ( $r ) can be used.

Note You need to log in before you can comment on or make changes to this bug.